org.eclipse.mat.hprof

## Class IHprofParserHandler.HeapObject

- java.lang.Object
- - org.eclipse.mat.hprof.IHprofParserHandler.HeapObject

Enclosing interface:
  IHprofParserHandler

    public static class IHprofParserHandler.HeapObject
    extends Object

### Field Summary

Fields
`ClassImpl` `clazz`
`boolean` `isArray`
`long` `objectAddress`
`int` `objectId`
`ArrayLong` `references`
`long` `usedHeapSize`

### Constructor Summary

Constructors
Constructor and Description
`HeapObject(int objectId, long objectAddress, ClassImpl clazz, long usedHeapSize)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### objectId

    public int objectId

#### objectAddress

    public long objectAddress

#### clazz

    public ClassImpl clazz

#### usedHeapSize

    public long usedHeapSize

#### references

    public ArrayLong references

#### isArray

    public boolean isArray

### Constructor Detail

#### HeapObject

    public HeapObject(int objectId,
                      long objectAddress,
                      ClassImpl clazz,
                      long usedHeapSize)